[Hackage] #439: cabal install: dependency on ghc-prim?

Hackage trac at galois.com
Sun Dec 28 16:58:34 EST 2008

#439: cabal install: dependency on ghc-prim?
  Reporter:  guest               |        Owner:       
      Type:  defect              |       Status:  new  
  Priority:  normal              |    Milestone:       
 Component:  cabal-install tool  |      Version:       
  Severity:  normal              |     Keywords:       
Difficulty:  normal              |   Ghcversion:  6.8.2
  Platform:  Linux               |  
 Using cabal install 0.6.1 with GHC 6.8.2 and Cabal 1.6.  This might be a

 alson at li5-178:~/tmp3/cabal-install_1$ cabal configure
 Configuring cabal-install-0.6.1...

 alson at li5-178:~/tmp3/cabal-install_1$ cabal install -v
 /usr/bin/ghc --numeric-version
 looking for package tool: ghc-pkg near compiler in /usr/bin
 found package tool in /usr/bin/ghc-pkg
 /usr/bin/ghc-pkg --version
 /usr/bin/ghc --supported-languages

   - Alson at AlsonKemp.com
 Reading installed packages...
 /usr/bin/ghc-pkg list
 Reading available packages...
 Resolving dependencies...
 cabal: There is no installed version of ghc-prim

Ticket URL: <http://hackage.haskell.org/trac/hackage/ticket/439>
Hackage <http://haskell.org/cabal/>
Hackage: Cabal and related projects

More information about the cabal-devel mailing list